/*
 * OLAInvert.h
 *
 *  Created on: Aug 16, 2010
 *      Author: Brenda Javornik (e-mail: brendaj (at) cora.nwra.com)
 */

#ifndef OLAINVERT_H_
#define OLAINVERT_H_

#include "matrix.h"
#include "MapDepthMatrix.h"
#include "BaseDirectory.h"
#include "InversionData.h"
#include "Model.h"

/** \addtogroup OLAInversion
 *  @{
 */
void OLAInvert(MAP_DEPTH_MATRIX K, MAP_DEPTH_MATRIX K2piCC, MAP_DEPTH_MATRIX Lambda, MATRIX Theta,
		MAP_DEPTH_MATRIX T, Model *model, BaseDirectory *debugFilename, BOOLEAN debug);

void OLAInvert2(InversionData *inversionData);

//MATRIX multipyForCrosstalk(MATRIX K, double nu, int Nz);

/** @}*/
#endif /* OLAINVERT_H_ */
